<script src='https://media.malayatimes.com/js/es5.js'></script><script async src='https://www.googletagservices.com/tag/js/gpt.js'></script><script>
var googletag = googletag || {};
googletag.cmd = googletag.cmd || [];
// on google script.

var gptAdSlots = [];
googletag.cmd.push(function() {

   var bawah_header = googletag.sizeMapping().
   addSize([970, 0], [
      [970, 250],
      [750, 300],
      [750, 200],
      [930, 180],
      [980, 120],
      [970, 90],
      [970, 66]]).

   addSize([930, 0], [
      [930, 180]]).

   addSize([750, 0], [
      [750, 300],
      [750, 200],
      [728, 90]]).

   addSize([750, 0], [
      [750, 300],
      [750, 200],
      [750, 100],
      [728, 90]]).

   addSize([320, 0], [
      [320, 100],
      [300, 100],
      [320, 50]]).

   addSize([0, 0], [
      [234, 60]]).

   build();

   gptAdSlots[0] =
   googletag.defineSlot
   ('/21705193160/bwh_header', [
      [980, 120],
      [970, 250],
      [970, 90],
      [970, 66],

      [930, 180],

      [750, 300],
      [750, 200],
      [750, 100],
      [728, 90],

      [320, 100],
      [300, 100],
      [320, 50],

      [234, 60]
   ], 'bwh-header').
   defineSizeMapping(bawah_header).
   addService(googletag.companionAds()).
   addService(googletag.pubads());

   var tgh_post = googletag.sizeMapping().
   addSize([580, 0], [[580, 400], [480, 320], [468, 60], [336, 280], [300, 250], [250, 250]]).
   addSize([480, 0], [[480, 320], [468, 60], [336, 280], [300, 250], [250, 250]]).
   addSize([336, 0], [[336, 280], [300, 250], [250, 250]]).
   addSize([300, 0], [[300, 250], [250, 250]]).
   addSize([0, 0], [ [250, 250]]).
   build();

   gptAdSlots[2] =
   googletag.defineSlot('/21705193160/ad_mdl_post', [[580, 400], [480, 320], [336, 280], [300, 250], [250, 250]], 'gpt-tgh').
   defineSizeMapping(tgh_post).
   addService(googletag.companionAds()).
   addService(googletag.pubads());

   gptAdSlots[3] =
   googletag.defineSlot('/21705193160/ad_mdl_post', [[580, 400], [480, 320], [336, 280], [300, 250], [250, 250]], 'gpt-tgh-1').
   defineSizeMapping(tgh_post).
   addService(googletag.companionAds()).
   addService(googletag.pubads());

   var sidebar_kiri = googletag.sizeMapping().
   addSize([300, 0], [ [300, 250], [300, 600], [250, 250], [250, 360], [240, 400], [200, 446], [200, 200]]).
   addSize([0, 0], [[200, 200], [200, 446], [240, 400], [250, 360], [250, 250]]).
   build();

    gptAdSlots[4] =
    googletag.defineSlot
    ('/21705193160/sdbr', [
       [300, 600],
       [300, 250],
       [250, 360],
       [200, 446],
       [250, 250],
       [240, 400],
       [200, 200]
    ], 'gpt-kiri').
    defineSizeMapping(sidebar_kiri).
    addService(googletag.companionAds()).
    addService(googletag.pubads());

   var sidebar_kanan = googletag.sizeMapping().
   addSize([900, 0], [[300, 600], [300, 250], [250, 250], [250, 360], [240, 400], [200, 446], [200, 200]]).
   addSize([300, 0], [[300, 250], [300, 600], [250, 250], [250, 360], [240, 400], [200, 446], [200, 200]]).
   addSize([240, 0], [ [240, 400], [250, 360], [250, 250]]).
   addSize([0, 0], [[200, 446], [200, 200]]).
   build();

    gptAdSlots[5] =
    googletag.defineSlot
    ('/21705193160/ikln', [[300, 600], [300, 250], [250, 250], [250, 360], [240, 400], [200, 446], [200, 200]], 'div-gpt-ad-1524121116261-0').
    defineSizeMapping(sidebar_kanan).
    addService(googletag.companionAds()).
    addService(googletag.pubads());

    // optimization for whole ads..
    googletag.pubads().setTargeting(
      'region', 'southeast asia'
   );
   googletag.pubads().setTargeting(
      'country', ['malaysia', 'singapore', 'brunei', 'indonesia']
   );
   googletag.pubads().setTargeting(
      'category', ['news', 'berita', 'media']
   );
   // googletag.pubads().setTargeting(
   //    'topic', ['insurans', 'money', 'job']
   // );

    // enable disable
    googletag.pubads().enableAsyncRendering();
    googletag.companionAds().setRefreshUnfilledSlots(true);
    googletag.pubads().collapseEmptyDivs();

    googletag.pubads().refresh();
    googletag.enableServices();
});</script>
